package com.wzj.soopin.member.domain.vo;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class IMCallbackVO {

    private String ActionStatus;
    private Integer ErrorCode;
    private String ErrorInfo;


    public IMCallbackVO() {
        this.ActionStatus = "OK";
        this.ErrorCode = 0;
        this.ErrorInfo = "";
    }
    public IMCallbackVO(String ActionStatus, Integer ErrorCode, String ErrorInfo) {
        this.ActionStatus = ActionStatus;
        this.ErrorCode = ErrorCode;
        this.ErrorInfo = ErrorInfo;
    }

    public static IMCallbackVO success() {
        return new IMCallbackVO();
    }
    public static IMCallbackVO fail() {
        return new IMCallbackVO("FAIL", 400, "");
    }

}
